Subject: bug#53313: [ERT] EMACS_TEST_VERBOSE can not be explicitly disabled

From: Max Nikulin <[email-masked]>
Date: Fri, 21 Jan 2022 21:53:45 +0700

On 21/01/2022 18:32, Lars Ingebrigtsen wrote:
> Max Nikulin writes:
> 
>> At least empty value of EMACS_TEST_VERBOSE environment variable
>> should be considered as false value that disables verbose ERT summary.
> 
> I've now fixed this in Emacs 29.

Thank you, Lars. It works accordingly may expectation in its minimal 
variant.

Just to have it clearly stated in the bug tracker: strings like "0", 
"no", etc. are considered as true value as any other non-empty strings. 
Only unset variable or empty value disables verbose summary.

Commit 4d866fc0f5